#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Services::Cvs;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;
my $group;

my $princ = init Vhffs::Main;

$config = $princ->get_config;

if( $#ARGV != 0 )
{
         print "Error ! Exec this script as it : create_cvs cvsroot";
         print "Example : create_cvs moncvs";
		 exit( 0 );
}


$user = new Vhffs::User( $princ , "soda" , 401) ;
$group = new Vhffs::Group( $princ , "soda" , 401) ;


my $cvs = new Vhffs::Services::Cvs( $princ , "$ARGV[0]" , $user , $group );

if( defined $cvs )
{
	print "object created\n";
}
else
{
	print "object error\n";
	exit;
}

if( $cvs->create > 0)
{
	print "Successfully create cvs object in the database\n";
}
else
{
	print "ERROR while create cvs object in the database\n";
	exit( 0 );
}

if ( $cvs->fetch < 0 )
{
	print "error while fetching informations in the database";
}
$cvs->commit;

print Dumper $cvs;
