#!/usr/bin/perl -w 


use strict;

use Data::Dumper;
use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;
use Vhffs::Panel::Cvs;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;
my $group;

my $princ = init Vhffs::Main;

$config = $princ->get_config;

if( $#ARGV != 0 )
{
         print "Error ! Exec this script as it : create_cvs cvsroot";
         print "Example : create_cvs moncvs";
		 exit( 0 );
}


$user = new Vhffs::User( $princ , "soda" , 401) ;
$group = new Vhffs::Group( $princ , "soda" , 401) ;


my $cvs = Vhffs::Panel::Cvs::create_cvs( $princ , "$ARGV[0]" , $user , $group );


if( $cvs > 0)
{
	print "Successfully create cvs object in the database\n";
}
else
{
	print "ERROR while create cvs object in the database\n";
	exit( 0 );
}

