#!/usr/bin/perl -w -I/vhffs/vhffs-api/src/


use strict;

use Vhffs::Conf;
use Vhffs::User;
use Vhffs::Group;
use Vhffs::Main;
use Vhffs::Object;

my $config;
my $mysql_config;
my $services_config;
my $user;
my $dbh;
my $backend;
my %infos;

my $princ = init Vhffs::Main;

$config = $princ->get_config;

if( $#ARGV != 0 )
{
	print "Error ! Create a new user with : create_user username";
	print "Example : create_user soda";
}


print "Creation du user $ARGV[0]\n";
$user = new Vhffs::User( $princ , "$ARGV[0]" , 401) ;


#on fetche l'utilisateur
my $retour;
$retour = $user->fetch;
if ( $retour > 0  )
{
	print "Cet utilisateur existe deja\n";
	exit 0;
}


#on le cree dans la base
my $uid = $user->create;
if( $uid lt 0 )
{
	print "Impossible de creer cet utilisateur, code retour $uid \n";
	exit 0;
}
else
{
	$user->set_password("default");

	$user->commit;

	print "Utilisateur cree avec comme uid $uid !\n";
}

$user->set_shell("/usr/bin/lol");
$user->set_firstname("Julien");
$user->set_lastname("Delange");
$user->set_city("Le Neubourg");
$user->set_zipcode("27110");
$user->set_country("France");
$user->set_address("10 Rue des chiens");
$user->set_gpgkey("gpg_key");

$user->commit;

$user->fetch;

exit;
